RFC High Current Power Inductors

Coilcraft RFC High Current Power Inductors are cost-effective, high-efficiency options for choke applications with AEC-Q200 compliance. The RFC inductors feature a wide range of inductance values (12µH to 18mH), direct current resistant ratings from 0.035Ω to 51.0Ω, a self-resonant frequency range of 0.10MHz to 20MHz, and a -40°C to +85°C ambient temperature range. Coilcraft RFC High Current Power Inductors are RoHS compliant and halogen free.

Resultados: 100
Selecionar Imagem Número de peça Fabricante Descrição Ficha técnica Disponibilidade Preços (USD) Filtrar os resultados na tabela por preço unitário baseado na sua quantidade. Qtde RoHS Modelo ECAD Tipo Estilo de acabamento Caixa / Gabinete Blindagem Indutância Tolerância Corrente DC máxima Resistência DC máxima Corrente de saturação Temperatura operacional mínima Temperatura operacional máxima Frequência auto-ressonante Terminação Estilo de montagem Comprimento Altura Diâmetro Material básico Série Embalagem
Coilcraft Indutores de potência - Com chumbo 150uH UnShld 10% 1.75A 230mOhms 230Em estoque
$1.52
$1.29
$1.19
$0.915
Mín.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 150 uH 10 % 1.75 A 230 mOhms 2.7 A - 40 C + 85 C 4 MHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Indutores de potência - Com chumbo 150uH UnShld 10% 1.05A 470mOhms 190Em estoque
$1.09
$0.917
$0.833
$0.651
Mín.: 1
Mult.: 1
Radial Unshielded 150 uH 10 % 1.05 A 470 mOhms - 40 C + 85 C 5.3 MHz Standard PCB Mount 7.5 mm 8.8 mm Ferrite RFC0807 Tray
Coilcraft Indutores de potência - Com chumbo 12 mH UnShld 10% 150mA 24.5ohms 4Em estoque
150Esperado 10/11/2026
$1.54
$1.31
$1.19
$0.926
Mín.: 1
Mult.: 1
Radial Unshielded 12 mH 10 % 150 mA 24.5 Ohms - 40 C + 85 C 400 kHz Standard PCB Mount 11.5 mm 9.5 mm Ferrite RFC0810 Tray
Coilcraft Indutores de potência - Com chumbo 12 mH UnShld 10% 180mA 17.5ohms 176Em estoque
$1.52
$1.29
$1.19
$0.915
Mín.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 12 mH 10 % 180 mA 17.5 Ohms 300 mA - 40 C + 85 C 410 kHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Indutores de potência - Com chumbo 3.9 mH UnShld 10% 360mA 5.3ohms 64Em estoque
$1.52
$1.29
$1.19
$0.915
Mín.: 1
Mult.: 1
Wirewound Radial Unshielded 3.9 mH 10 % 360 mA 5.3 Ohms 490 mA - 40 C + 85 C 710 kHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Indutores de potência - Com chumbo 68uH UnShld 10% 2.4A 115mOhms 109Em estoque
$1.52
$1.29
$1.19
$0.915
Mín.: 1
Mult.: 1
Radial Unshielded 68 uH 10 % 2.4 A 115 mOhms - 40 C + 85 C 5.6 MHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Indutores de potência - Com chumbo 2.7 mH UnShld 10% 240mA 8ohms 52Em estoque
$1.09
$0.917
$0.833
$0.651
Mín.: 1
Mult.: 1
Wirewound Radial 8.8 mm x 7.5 mm Unshielded 2.7 mH 10 % 240 mA 8 Ohms 440 mA - 40 C + 85 C 1.2 MHz Standard PCB Mount 7.5 mm 8.8 mm Ferrite RFC0807 Tray
Coilcraft Indutores de potência - Com chumbo 2.2 mH UnShld 10% 350mA 4.7ohms 131Em estoque
$1.54
$1.31
$1.19
$0.926
Mín.: 1
Mult.: 1
Wirewound Radial 9.5 mm x 11.5 mm Unshielded 2.2 mH 10 % 350 mA 4.7 Ohms 520 mA - 40 C + 85 C 930 kHz Standard PCB Mount 11.5 mm 9.5 mm Ferrite RFC0810 Tray
Coilcraft Indutores de potência - Com chumbo 100uH UnShld 10% 1.25A 355mOhms 18Em estoque
150Esperado 04/01/2027
$1.09
$0.917
$0.833
$0.651
Mín.: 1
Mult.: 1
Radial Unshielded 100 uH 10 % 1.25 A 355 mOhms - 40 C + 85 C 6.1 MHz Standard PCB Mount 7.5 mm 8.8 mm Ferrite RFC0807 Tray
Coilcraft Indutores de potência - Com chumbo 270uH UnShld 10% 800mA 805mOhms 66Em estoque
$1.09
$0.917
$0.833
$0.651
Mín.: 1
Mult.: 1
Wirewound Radial 8.8 mm x 7.5 mm Unshielded 270 uH 10 % 800 mA 805 mOhms 1.43 A - 40 C + 85 C 3.6 MHz Standard PCB Mount 7.5 mm 8.8 mm Ferrite RFC0807 Tray
Coilcraft Indutores de potência - Com chumbo 1.5 mH UnShld 10% 430mA 3.1ohms 125Em estoque
$1.54
$1.31
$1.19
$0.926
Mín.: 1
Mult.: 1
Radial Unshielded 1.5 mH 10 % 430 mA 3.1 Ohms - 40 C + 85 C 1.1 MHz Standard PCB Mount 11.5 mm 9.5 mm Ferrite RFC0810 Tray
Coilcraft Indutores de potência - Com chumbo 2.7 mH UnShld 10% 410mA 4.2ohms 7Em estoque
$1.52
$1.29
$1.19
$0.915
Mín.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 2.7 mH 10 % 410 mA 4.2 Ohms 630 mA - 40 C + 85 C 820 kHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Indutores de potência - Com chumbo 1.5 mH UnShld 10% 320mA 4.55ohms 187Em estoque
$1.09
$0.917
$0.833
$0.651
Mín.: 1
Mult.: 1
Radial Unshielded 1.5 mH 10 % 320 mA 4.55 Ohms - 40 C + 85 C 1.6 MHz Standard PCB Mount 7.5 mm 8.8 mm Ferrite RFC0807 Tray
Coilcraft Indutores de potência - Com chumbo 330uH UnShld 10% 720mA 1.05ohms 241Em estoque
$1.09
$0.917
$0.833
$0.651
Mín.: 1
Mult.: 1
Wirewound Radial 8.8 mm x 7.5 mm Unshielded 330 uH 10 % 720 mA 1.05 Ohms 1.3 A - 40 C + 85 C 3.4 MHz Standard PCB Mount 7.5 mm 8.8 mm Ferrite RFC0807 Tray
Coilcraft Indutores de potência - Com chumbo 560uH UnShld 10% 520mA 1.7ohms 14Em estoque
$1.09
$0.917
$0.833
$0.651
Mín.: 1
Mult.: 1
Radial Unshielded 560 uH 10 % 520 mA 1.7 Ohms - 40 C + 85 C 2.7 MHz Standard PCB Mount 7.5 mm 8.8 mm Ferrite RFC0807 Tray
Coilcraft Indutores de potência - Com chumbo 10 mH UnShld 10% 170mA 19.5ohms 186Em estoque
$1.54
$1.31
$1.19
$0.926
Mín.: 1
Mult.: 1
Wirewound Radial 9.5 mm x 11.5 mm Unshielded 10 mH 10 % 170 mA 19.5 Ohms 250 mA - 40 C + 85 C 450 kHz Standard PCB Mount 11.5 mm 9.5 mm Ferrite RFC0810 Tray
Coilcraft Indutores de potência - Com chumbo 680uH UnShld 10% 780mA 1.11ohms 100Em estoque
$1.52
$1.29
$1.19
$0.915
Mín.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 680 uH 10 % 780 mA 1.11 Ohms 1.26 A - 40 C + 85 C 1.7 MHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Indutores de potência - Com chumbo 180uH UnShld 10% 950mA 605mOhms 28Em estoque
$1.09
$0.917
$0.833
$0.651
Mín.: 1
Mult.: 1
Wirewound Radial Unshielded 180 uH 10 % 950 mA 605 mOhms 1.61 A - 40 C + 85 C 4.4 MHz Standard PCB Mount 7.5 mm 8.8 mm Ferrite RFC0807 Tray
Coilcraft Indutores de potência - Com chumbo 1 mH UnShld 10% 540mA 1.95ohms 230Em estoque
$1.54
$1.31
$1.19
$0.926
Mín.: 1
Mult.: 1
Radial 9.5 mm x 11.5 mm Unshielded 1 mH 10 % 540 mA 1.95 Ohms 780 mA - 40 C + 85 C 1.5 MHz Standard PCB Mount 11.5 mm 9.5 mm Ferrite RFC0810 Tray
Coilcraft Indutores de potência - Com chumbo 47uH UnShld 10% 2.6A 95mOhms 65Em estoque
150Esperado 15/02/2027
$1.54
$1.31
$1.19
$0.926
Mín.: 1
Mult.: 1
Wirewound Radial 9.5 mm x 11.5 mm Unshielded 47 uH 10 % 2.6 A 95 mOhms 3.6 A - 40 C + 85 C 7.5 MHz Standard PCB Mount 11.5 mm 9.5 mm Ferrite RFC0810 Tray
Coilcraft Indutores de potência - Com chumbo 1.8 mH UnShld 10% 300mA 5.05ohms 76Em estoque
$1.09
$0.917
$0.833
$0.651
Mín.: 1
Mult.: 1
Radial Unshielded 1.8 mH 10 % 300 mA 5.05 Ohms - 40 C + 85 C 1.5 MHz Standard PCB Mount 7.5 mm 8.8 mm Ferrite RFC0807 Tray
Coilcraft Indutores de potência - Com chumbo 2.2 mH UnShld 10% 470mA 3.2ohms 420Em estoque
$1.52
$1.29
$1.19
$0.915
Mín.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 2.2 mH 10 % 470 mA 3.2 Ohms 700 mA - 40 C + 85 C 990 kHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Indutores de potência - Com chumbo 560uH UnShld 10% 920mA 805mOhms 171Em estoque
$1.52
$1.29
$1.19
$0.915
Mín.: 1
Mult.: 1
Wirewound Radial 11 mm x 11.5 mm Unshielded 560 uH 10 % 920 mA 805 mOhms 1.42 A - 40 C + 85 C 1.9 MHz Standard PCB Mount 11.5 mm 11 mm Ferrite RFC1010 Tray
Coilcraft Indutores de potência - Com chumbo 820uH UnShld 10% 420mA 2.6ohms 181Em estoque
$1.09
$0.917
$0.833
$0.651
Mín.: 1
Mult.: 1
Wirewound Radial 8.8 mm x 7.5 mm Unshielded 820 uH 10 % 420 mA 2.6 Ohms 820 mA - 40 C + 85 C 2.1 MHz Standard PCB Mount 7.5 mm 8.8 mm Ferrite RFC0807 Tray
Coilcraft Indutores de potência - Com chumbo 100uH UnShld 10% 1.7A 210mOhms 8Em estoque
450No pedido
$1.54
$1.31
$1.19
$0.926
Mín.: 1
Mult.: 1
Wirewound Radial 9.5 mm x 11.5 mm Unshielded 100 uH 10 % 1.7 A 210 mOhms 2.43 A - 40 C + 85 C 5 MHz Standard PCB Mount 11.5 mm 9.5 mm Ferrite RFC0810 Tray